/* CARD + DETAIL _________________________________________________________*/
div#galerie_flexbox {
  display: flex;
  flex-flow: row wrap;
  justify-content: flex-start;
  margin: 30px auto 0 auto;
  width: 70%;
}

div.card {
  height: 200px;
  width: 200px;
  position: relative;
  border-radius: 20px;
  overflow: hidden;
  margin: 10px auto 10px auto;
  box-shadow: 0 6px 14px rgb(0 0 0 / 20%);
}

div.card img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

div.card:hover .detail {
  opacity: 1;
  height: 100%;
}

div.detail {
  position: absolute;
  left: 0;
  bottom: 0;
  height: 0%;
  width: 100%;
  background: rgb(0, 0, 0, 0.7);
  transition: 0.3s ease;
  opacity: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-radius: 20px;
}

div.detail a {
  color: white;
  opacity: 0.7;
  font-size: 19px;
  font-family: "Exo", sans-serif;
  text-decoration: overline;
  transition: 0.3s;
}

div.detail a:hover {
  opacity: 1;
  transition: 0.3s;
}

div.detail img {
  width: 30px;
  height: 30px;
  margin-top: 15px;
  opacity: 0.7;
  transition: 0.3s;
}

div.detail img:hover {
  opacity: 1;
  transition: 0.3s;
}

/* LIGHTBOX _________________________________________________________*/
.lightbox {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgb(0, 0, 0, 0.8);
  z-index: 10;
  animation: lightboxIn 0.5s;
  transition: opacity 0.3s;
}

.lightbox.fadeOut {
  opacity: 0;
}

.lightbox_prev,
.lightbox_next {
  background: url(../images/ressources/arrow.svg) center center / 16px 28px
    no-repeat;
  width: 100px;
  height: 100%;
  position: fixed;
  bottom: 0;
  z-index: 11;
  right: 0;
  height: 94%;
}

.lightbox_prev {
  left: 0;
  right: auto;
  transform: rotate(180deg);
  height: 100%;
}

.lightbox_close {
  width: 65px;
  height: 65px;
  padding: 20px;
  background: url(../images/ressources/cross.svg) center center / 25px 25px
    no-repeat transparent;
  position: fixed;
  top: 20px;
  right: 20px;
  z-index: 12;
}

.lightbox button {
  opacity: 0.5;
}

.lightbox button:hover {
  opacity: 1;
  transition: opacity 0.3s ease;
}

.lightbox_container img {
  max-width: 100%;
  /* height: auto; */
  max-height: 85%;
  margin-bottom: 5px;
}

.lightbox_container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  margin: 15px 100px 20px 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.lightbox_container p {
  color: white;
  font-family: "Exo", sans-serif;
  font-size: 20px;
  margin: 2px;
}

.lightbox_loader {
  width: 38px;
  height: 38px;
  background: url(../images/ressources/loader.svg) center center no-repeat;
}

@keyframes lightboxIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
